#pragma once
#include <map>
struct Fish_JuKunPaiHangCFGData
{
	//编号
	int mID;
	//类型
	int mType;
	//时间
	int mTime;
	//开始排名
	int mStartRank;
	//结束排名
	int mEndRank;
	//奖励
	std::vector<int> mReward;
};

class Fish_JuKunPaiHangCFG
{
public:
private:
	static std::auto_ptr<Fish_JuKunPaiHangCFG> msSingleton;
public:
	int GetCount();
	const Fish_JuKunPaiHangCFGData* GetData(int ID);
	const std::map<int, Fish_JuKunPaiHangCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Fish_JuKunPaiHangCFG* GetSingleton();
	static void Release();
private:
	std::map<int, Fish_JuKunPaiHangCFGData> mMapData;
};
